OpenJPH: ojph::stex Namespace Reference

OpenJPH Open-source implementation of JPEG2000 Part-15

Loading...
Searching...
No Matches
ojph::stex Namespace Reference

## Classes
struct | rtp_packet
| interprets RTP header and payload, and holds received packets. More...
class | packets_handler
| Interprets new packets, buffers them if needed. More...
struct | stex_file
| holds in memory j2k codestream together with other info More...
class | frames_handler
| Assumes packets arrive in order. More...
struct | j2k_frame_storer
| Saves a j2k frame to disk without decoding. More...

## Functions
static bool | is_greater32 (ui32 a, ui32 b)
static bool | is_smaller32 (ui32 a, ui32 b)
static bool | is_greater24 (ui32 a, ui32 b)
static bool | is_smaller24 (ui32 a, ui32 b)
static ui32 | clip_seq_num (ui32 n)

## Function Documentation

## ◆ clip_seq_num()

ui32 ojph::stex::clip_seq_num | ( | ui32 | n | ) |
| inlinestatic

Definition at line 94 of file stream_expand_support.cpp.

Referenced by ojph::stex::packets_handler::exchange(), and ojph::stex::frames_handler::push().

## ◆ is_greater24()

bool ojph::stex::is_greater24 | ( | ui32 | a,
|  | ui32 | b )
| inlinestatic

Definition at line 86 of file stream_expand_support.cpp.

References is_greater32().

Referenced by ojph::stex::packets_handler::exchange().

## ◆ is_greater32()

bool ojph::stex::is_greater32 | ( | ui32 | a,
|  | ui32 | b )
| inlinestatic

Definition at line 65 of file stream_expand_support.cpp.

Referenced by is_greater24(), and ojph::stex::frames_handler::push().

## ◆ is_smaller24()

bool ojph::stex::is_smaller24 | ( | ui32 | a,
|  | ui32 | b )
| inlinestatic

Definition at line 90 of file stream_expand_support.cpp.

References is_smaller32().

Referenced by ojph::stex::packets_handler::exchange(), and ojph::stex::frames_handler::push().

## ◆ is_smaller32()

bool ojph::stex::is_smaller32 | ( | ui32 | a,
|  | ui32 | b )
| inlinestatic

Definition at line 79 of file stream_expand_support.cpp.

Referenced by is_smaller24(), and ojph::stex::frames_handler::push().